RMySQL Error Messages, crashing R

Previous Topic Next Topic
 
classic Classic list List threaded Threaded
2 messages Options
Reply | Threaded
Open this post in threaded view
|

RMySQL Error Messages, crashing R

Jason Horn
I am having trouble getting RMySQL working with R.  It did at one  
point, work with an older 1.x version of R, but now with R2.2.1, I am  
getting the following messages on my OS X 10.4.5 system:

RS-DBI driver warning: (MySQL mismatch between compiled version  
4.0.24 and runtime version 4.1.14)

if I then try to run any further db commands such as dbConnect, R  
crashes with a bus error.  When I started getting this error, I was  
using MySQL 5.  I have since removed that installation and instead  
installed the older 4.0.24.  I still get the error message.  I have  
also tried other versions of MySQL, but the error persists.  I have  
also tried installing RMySQL from sources, but it makes no difference.

Does anyone know what this error message means.  Are there any OS X  
users that have with R 2.x working with RMySQL?

Please help!

- Jason


Jason Horn
Boston University Department of Biology
5 Cumington Street  Boston, MA 02215

[hidden email]
office: 617 353 6987
cell: 401 588 2766



        [[alternative HTML version deleted]]

______________________________________________
[hidden email] mailing list
https://stat.ethz.ch/mailman/listinfo/r-help
PLEASE do read the posting guide! http://www.R-project.org/posting-guide.html
Reply | Threaded
Open this post in threaded view
|

Re: RMySQL Error Messages, crashing R

Jason Horn
Phil,

Thanks for the tip.  I have tried rebuilding the RMySQL library, but  
it always fails.  When I run:

R CMD INSTALL --configure-args='--with-mysql-inc=/usr/local/mysql/
include --with-mysql-lib=/usr/local/mysql/lib' /Users/jason/Desktop/
RMySQL_0.5-7.tar.gz.tar

I get ...

gcc-3.3 -bundle -flat_namespace -undefined suppress -L/usr/local/lib -
o RMySQL.so RS-DBI.o RS-MySQL.o -L/usr/local/mysql/lib -lmysqlclient -
lz -lcc_dynamic -F/Library/Frameworks/R.framework/.. -framework R
ld: can't locate file for: -lcc_dynamic
make: *** [RMySQL.so] Error 1
ERROR: compilation failed for package 'RMySQL'

The MySQL that I have is 5.0.18 that I downloaded as a binary  
directly from mysql.com.  Is your mySQL installation from elsewhere?  
What do you mean "...that I installed through port."

It sounds like you have everything working.  What commands did you  
use to get mySQL 5 installed?  To get  RMySQL compiled?  Any help  
here is appreciated. I am heavily dependent on R working with mySQL  
for my project.

Thanks,

- Jason

On Feb 19, 2006, at 11:21 PM, Phil Spector wrote:

> Jason -
>     In order to get mysql5 to work with R.2.2 on Tiger, I had to  
> rebuild
> the RMySQL library against the mysql libraries that I installed  
> through port.
> (You didn't mention where you got your mysql from).  The problem I saw
> was that I kept seeing the warning message, and R wouldn't connect  
> to the database, but I'm pretty sure what you need to do is rebuild  
> the R library
> against the system libraries that you've currently got installed.
>
>                                        - Phil Spector
> Statistical Computing Facility
> Department of Statistics
> UC Berkeley
> [hidden email]
>
>
> On Sun, 19 Feb 2006, Jason Horn wrote:
>
>> I am having trouble getting RMySQL working with R.  It did at one
>> point, work with an older 1.x version of R, but now with R2.2.1, I am
>> getting the following messages on my OS X 10.4.5 system:
>>
>> RS-DBI driver warning: (MySQL mismatch between compiled version
>> 4.0.24 and runtime version 4.1.14)
>>
>> if I then try to run any further db commands such as dbConnect, R
>> crashes with a bus error.  When I started getting this error, I was
>> using MySQL 5.  I have since removed that installation and instead
>> installed the older 4.0.24.  I still get the error message.  I have
>> also tried other versions of MySQL, but the error persists.  I have
>> also tried installing RMySQL from sources, but it makes no  
>> difference.
>>
>> Does anyone know what this error message means.  Are there any OS X
>> users that have with R 2.x working with RMySQL?
>>
>> Please help!
>>
>> - Jason
>>
>>
>> Jason Horn
>> Boston University Department of Biology
>> 5 Cumington Street  Boston, MA 02215
>>
>> [hidden email]
>> office: 617 353 6987
>> cell: 401 588 2766
>>
>>
>>
>> [[alternative HTML version deleted]]
>>
>> ______________________________________________
>> [hidden email] mailing list
>> https://stat.ethz.ch/mailman/listinfo/r-help
>> PLEASE do read the posting guide! http://www.R-project.org/posting- 
>> guide.html
>>
>

______________________________________________
[hidden email] mailing list
https://stat.ethz.ch/mailman/listinfo/r-help
PLEASE do read the posting guide! http://www.R-project.org/posting-guide.html